using Lada.Framework.Data.Domains.Trucks;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Lada.Framework.Data.Mappings.EntityMappings.Trucks
{
    public class TruckMaintenanceMap : IEntityMappingConfiguration<TruckMaintenance>
    {
        public void Map(EntityTypeBuilder<TruckMaintenance> builder)
        {
            builder.HasKey(o => o.Id);
            builder.ToTable("TruckMaintenance");
        }
    }
}
